{
gROOT->Reset();  

FrVect *lsc;
FrFile *ifile;
FrvRFFT *fft, *fft2, *fft3;
FrvFilter2 *filter, *filter2;
TH1F *histo1, *histo2, *histo3, *histo4, *histo5, *histo6;
FrameH *frame = NULL;

can = new TCanvas("can","RUN",600,800);
can.Divide(1,3);
can_3.SetLogx();
can_3.SetLogy();

ifile= FrFileINew("test.dat");
fft  = FrvRFFTNew("HAP",0,0);
fft2 = FrvRFFTNew("HAP",0,0);
fft3 = FrvRFFTNew("HAP",0,0);
filter  = FrvFilter2New(0.,0.,1.,0.,1./(6.14*50.),1.);
filter2 = FrvFilter2New(0.,0.,1.,1./(6.14*100*6.14*100),1./(6.14*100.),1.);

while((frame = FrameReadRecycle(ifile, frame)) != NULL)
  {printf("Process frame for GTimes=%d \n", frame->GTimeS);
  
   lsc = FrameGetV(frame,"fastAdc1");

   FrvFilter2Proc(filter, lsc);
   FrvFilter2Proc(filter2, lsc);

   FrvRFFTFor(fft, lsc);
   FrvRFFTFor(fft2, filter->output);
   FrvRFFTFor(fft3, filter2->output);

   delete histo1;
   delete histo2;
   delete histo3;
   delete histo4;
   delete histo5;
   delete histo6;

   can.cd(1);
   histo1 = FrVP(lsc, "DRAW");
   FrAdcDataDecimate(FrAdcDataFind(frame,"fastAdc1"),-10);
   lsc = FrameGetV(frame,"fastAdc1");
   histo1 = FrVP(lsc, "SAME", 2);
      
   can.cd(2);
   histo2 = FrVP(filter2->output, "DRAW");

   can.cd(3);
   histo3 = FrVP(fft->amplitude, "DRAW", 1);

   histo4 = FrVP(fft->amplitudeA,  "SAME", 2);
   histo5 = FrVP(fft2->amplitudeA, "SAME", 6);
   histo6 = FrVP(fft3->amplitudeA, "SAME", 4);
   
   can->Modified();
   can->Update();}

}
