{//------------------- test macro for the FFT
gROOT->Reset();  

FrvRFFT *fft1, *fft2, *fft3;
FrameH *frame = NULL;
int nData, iVect, i;
double dt, phase = 0;

nData = 100;
dt = 5./nData;
vect = FrVectNew1D("gaussian + sin(phase)",FR_VECT_8R, nData,dt,
                                            "time [s]","Volts");
fft4 = FrvRFFTNew("HAP", nData, 0);
fft1 = FrvRFFTNew("HAPR",nData, 0);
 
for(i=0; i<nData; i++)  //---------- update the input vector ----------
      {phase+= 6.2831853*4.*dt;
       vect->dataD[i] = gRandom->Gaus() + 2.*sin(phase);}

FrVectDump(vect, stdout, 3);
FrVP(vect,  "DRAW", 1);
 
it = FrvInterpolate(vect,NULL, 10, 0, 4, NULL);
FrVectDump(it, stdout, 3);
FrVP(it,  "SAME", 4);
   
}
