/*-------------------------------------------------------------------*/
/*  FrvCopy.h by B.Mours LAPP (Annecy)         Jan  6, 2004          */
/*-------------------------------------------------------------------*/

#ifndef FRVCOPY
#define FRVCOPY

#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE
#endif

#include "FrameL.h"

#ifdef __cplusplus
extern "C" {
#endif

FrVect *FrvClone(FrVect *vect1, char* newName);

FrVect *FrvCopyTo(FrVect *vIn, double scale, FrVect *copy);

FrVect *FrvCopyToD(FrVect *vIn, double scale, char* newName);
FrVect *FrvCopyToF(FrVect *vIn, double scale, char* newName);
FrVect *FrvCopyToI(FrVect *vIn, double scale, char* newName);
FrVect *FrvCopyToS(FrVect *vIn, double scale, char* newName);

#define FrvDecimate(A, B, C) FrVectDecimate(A, B, C)

FrVect *FrvDecimateD(FrVect *vIn, int nGroup, char *newName);
FrVect *FrvDecimateF(FrVect *vIn, int nGroup, char *newName);
FrVect *FrvDecimateI(FrVect *vIn, int nGroup, char *newName);
FrVect *FrvDecimateS(FrVect *vIn, int nGroup, char *newName);

#ifdef __cplusplus
}
#endif

#endif
