CMTrelease=14
cmt_hardware_query_command=uname -m
cmt_system_version_query_command=${CMTROOT}/mgr/cmt_linux_version.sh | ${CMTROOT}/mgr/cmt_filter_version.sh
cmt_compiler_version_query_command=${CMTROOT}/mgr/cmt_gcc_version.sh | ${CMTROOT}/mgr/cmt_filter_version.sh
cmt_hardware=`$(cmt_hardware_query_command)`
cmt_system_version=`$(cmt_system_version_query_command)`
cmt_compiler_version=`$(cmt_compiler_version_query_command)`
PATH=${CMTROOT}/${CMTBIN}:/users/mours/Fr/v4r05f/OSF1:/virgo/VCS-1.0/java/Linux-i686/bin:/virgo/VCS-1.0/gnu/Linux-i686/bin:/virgo/VCS-1.0/ext/octave-2.1.50/Linux-i686/bin:/usr/local/grace/bin:/opt/sw/matlab6/bin:/opt/sw/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/virgo/VCS-1.0/ext/cern/2002/Linux-i686/bin:/virgo/VCS-1.0/VIRGOSW//Finesse/v0r93/Linux-i686:/virgo/VCS-1.0/ext/cern/2002/Linux-i686/bin:/virgo/VCS-1.0/VIRGOSW//vega/v0r93/Linux-i686:/virgo/VCS-1.0/ext/root_v3.10.01_1/Linux-i686/bin:/usr/local/qt/qt-x11-free-3.2.0b2/bin:/bin:/usr/bin:/usr/local/bin:.
CLASSPATH=${CMTROOT}/java
debug_option=-g
cc=cc 
cflags=-Wall -ansi -pedantic  -O 
pp_cflags=-Di586
ccomp=$(cc) -c $(includes) $(cdebugflags) $(cflags) $(pp_cflags)
clink=$(cc) $(clinkflags) $(cdebugflags)
ppcmd=-I
preproc=c++ -MD -c 
cpp=g++ 
cppflags=-Wall 
pp_cppflags=-D_GNU_SOURCE
cppcomp=$(cpp) -c $(includes) $(cppdebugflags) $(cppflags) $(pp_cppflags)
cpplink=$(cpp) $(cpplinkflags) $(cppdebugflags)
cpp_linkopts= 
for=g77
fflags=$(debug_option)
fcomp=$(for) -c $(fincludes) $(fflags) $(pp_fflags)
flink=$(for) $(flinkflags)
javacomp=javac -classpath $(src):$(CLASSPATH) 
javacopy=cp
jar=jar
X11_cflags=-I/usr/include
Xm_cflags=-I/usr/include
X_linkopts=-L/usr/X11R6/lib  -lXt -lXext -lX11 -lm
lex=lex $(lexflags)
yaccflags= -l -d 
yacc=yacc $(yaccflags)
ar=ar r
ranlib=ranlib
make_shlib=${CMTROOT}/mgr/cmt_make_shlib_common.sh extract
shlibsuffix=so
shlibbuilder=g++
shlibflags=-shared -Wl,-soname,libFrv.so
symlink=/bin/ln -fs 
symunlink=/bin/rm -f 
build_library_links=$(cmtexe) build library_links -quiet -tag=$(tags)
remove_library_links=$(cmtexe) remove library_links -quiet -tag=$(tags)
cmtexe=${CMTROOT}/${CMTBIN}/cmt.exe
tags=$(CMTEXTRATAGS)
build_prototype=$(cmtexe) build prototype
build_dependencies=$(cmtexe) -quiet -tag=$(tags) build dependencies
build_triggers=$(cmtexe) build triggers
implied_library_prefix=-l
SHELL=/bin/sh
src=../src/
doc=../doc/
inc=../src/
mgr=../cmt/
application_suffix=.exe
library_prefix=lib
lock_command=chmod -R a-w ../*
unlock_command=chmod -R g+w ../*
MAKEFLAGS= --no-print-directory 
gmake_hosts=lx1 rsplus lxtest as7 dxplus ax7 hp2 aleph hp1 hpplus papou1-fe atlas
make_hosts=virgo-control1 rio0a vmpc38a
everywhere=ax7 vmpc38a rio0a
install_command=cp 
uninstall_command=/bin/rm -f 
cmt_install_area_command=ln -s 
cmt_uninstall_area_command=/bin/rm -f 
cmt_install_action=$(CMTROOT)/mgr/cmt_install_action.sh
cmt_installdir_action=$(CMTROOT)/mgr/cmt_installdir_action.sh
cmt_uninstall_action=$(CMTROOT)/mgr/cmt_uninstall_action.sh
cmt_uninstalldir_action=$(CMTROOT)/mgr/cmt_uninstalldir_action.sh
mkdir=mkdir
cmt_installarea_prefix=InstallArea
NEWCMTCONFIG=i686-rh73-gcc296
Fr_linkopts= -L$(FRROOT)/$(Fr_tag) -lFrame -lm  -Wl,-rpath,$(FRROOT)/$(Fr_tag)
FrDump=/virgoDev/Fr/v6r12/Linux-i686/FrDump.exe
FrCopy=/virgoDev/Fr/v6r12/Linux-i686/FrCopy.exe
FrCheck=/virgoDev/Fr/v6r12/Linux-i686/FrCheck.exe
FFTWDIR=${VIRGORELROOT}/ext/fftw-3.0.1/Linux-i686
FFTWLIBPATH=$(FFTWDIR)/lib
FFTWBINPATH=$(FFTWDIR)/bin
FFTWINCPATH=$(FFTWDIR)/include
FFTW_linkopts= -L$(FFTWLIBPATH) -lfftw3  -lm  -Wl,-rpath,$(FFTWLIBPATH) 
fFFTW_linkopts= -L$(FFTWLIBPATH) -lfftw3f -lm  -Wl,-rpath,$(FFTWLIBPATH) 
lFFTW_linkopts= -L$(FFTWLIBPATH) -lfftw3l -lm  -Wl,-rpath,$(FFTWLIBPATH) 
Frv_linkopts= -L$(FRVROOT)/$(Frv_tag) -lFrv  -Wl,-rpath,$(FRVROOT)/$(Frv_tag) 
CMTVERSION=v1r14p20031120
tag=Linux-i686
v4r11b_tag=$(tag)
V4R11BROOT=/virgoDev/Frv/v4r11b
PACKAGE_ROOT=$(V4R11BROOT)
v4r11b_root=../../v4r11b
V4R11BVERSION=v*
srcdir=../src
bin=../$(v4r11b_tag)/
javabin=../classes/
mgrdir=cmt
v4r11b_cmtpath=/virgoDev
v4r11b_offset=Frv
package_cmtpath=/virgoDev
package_offset=Frv
version=v*
package=v4r11b
Fr_tag=$(tag)
FRROOT=/virgoDev/Fr/v6r12
Fr_root=../../../Fr/v6r12
FRVERSION=v6r12
Fr_cmtpath=/virgoDev
VirgoPolicy_tag=$(tag)
VIRGOPOLICYROOT=/virgoApp/VirgoPolicy/v1r2
VirgoPolicy_root=/virgoApp/VirgoPolicy/v1r2
VIRGOPOLICYVERSION=v1r2
VirgoPolicy_cmtpath=/virgoApp
FFTW_tag=$(tag)
FFTWROOT=/virgo/VCS-1.0/VIRGOSW/FFTW/v3r0p1
FFTW_root=/virgo/VCS-1.0/VIRGOSW/FFTW/v3r0p1
FFTWVERSION=v3r0p1
use_requirements=requirements $(CMTROOT)/mgr/requirements $(FRROOT)/cmt/requirements $(VIRGOPOLICYROOT)/cmt/requirements $(FFTWROOT)/cmt/requirements 
use_includes= $(ppcmd)"$(Fr_root)/src" $(ppcmd)"$(VirgoPolicy_root)/src" $(ppcmd)"$(FFTWINCPATH)" 
use_fincludes= $(use_includes)
use_stamps= $(v4r11b_stamps)  $(Fr_stamps)  $(VirgoPolicy_stamps)  $(FFTW_stamps) 
use_cflags=  $(v4r11b_cflags)  $(Fr_cflags)  $(VirgoPolicy_cflags)  $(FFTW_cflags) 
use_pp_cflags=  $(v4r11b_pp_cflags)  $(Fr_pp_cflags)  $(VirgoPolicy_pp_cflags)  $(FFTW_pp_cflags) 
use_cppflags=  $(v4r11b_cppflags)  $(Fr_cppflags)  $(VirgoPolicy_cppflags)  $(FFTW_cppflags) 
use_pp_cppflags=  $(v4r11b_pp_cppflags)  $(Fr_pp_cppflags)  $(VirgoPolicy_pp_cppflags)  $(FFTW_pp_cppflags) 
use_fflags=  $(v4r11b_fflags)  $(Fr_fflags)  $(VirgoPolicy_fflags)  $(FFTW_fflags) 
use_pp_fflags=  $(v4r11b_pp_fflags)  $(Fr_pp_fflags)  $(VirgoPolicy_pp_fflags)  $(FFTW_pp_fflags) 
use_linkopts=  $(v4r11b_linkopts)  $(Fr_linkopts)  $(VirgoPolicy_linkopts)  $(FFTW_linkopts) 
use_libraries= $(Fr_libraries)  $(VirgoPolicy_libraries)  $(FFTW_libraries) 
includes= $(ppcmd)"$(srcdir)" $(use_includes)
fincludes= $(includes)
Frv_use_linkopts=  $(v4r11b_linkopts)  $(Fr_linkopts)  $(VirgoPolicy_linkopts)  $(FFTW_linkopts) 
FrvFFTTest_use_linkopts=  $(v4r11b_linkopts)  $(Fr_linkopts)  $(VirgoPolicy_linkopts)  $(FFTW_linkopts) 
FrvMathTest_use_linkopts=  $(v4r11b_linkopts)  $(Fr_linkopts)  $(VirgoPolicy_linkopts)  $(FFTW_linkopts) 
FrvCopyTest_use_linkopts=  $(v4r11b_linkopts)  $(Fr_linkopts)  $(VirgoPolicy_linkopts)  $(FFTW_linkopts) 
FrvFilterTest_use_linkopts=  $(v4r11b_linkopts)  $(Fr_linkopts)  $(VirgoPolicy_linkopts)  $(FFTW_linkopts) 
FrvTFTest_use_linkopts=  $(v4r11b_linkopts)  $(Fr_linkopts)  $(VirgoPolicy_linkopts)  $(FFTW_linkopts) 
constituents= Frv FrvFFTTest FrvMathTest FrvCopyTest FrvFilterTest FrvTFTest 
all_constituents= $(constituents)
constituentsclean= FrvTFTestclean FrvFilterTestclean FrvCopyTestclean FrvMathTestclean FrvFFTTestclean Frvclean 
all_constituentsclean= $(constituentsclean)
